Bug 120769 - : New port: sysutils/afflib Advanced Forensics Format library & utils
Summary: : New port: sysutils/afflib Advanced Forensics Format library & utils
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-17 19:30 UTC by Chris Calvey
Modified: 2008-03-26 15:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Calvey 2008-02-17 19:30:01 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	afflib
#	afflib/files
#	afflib/files/patch-configure.ac
#	afflib/distinfo
#	afflib/pkg-descr
#	afflib/scripts
#	afflib/scripts/pre-configure
#	afflib/pkg-plist
#	afflib/Makefile
#
echo c - afflib
mkdir -p afflib > /dev/null 2>&1
echo c - afflib/files
mkdir -p afflib/files > /dev/null 2>&1
echo x - afflib/files/patch-configure.ac
sed 's/^X//' >afflib/files/patch-configure.ac << 'END-of-afflib/files/patch-configure.ac'
X--- configure.ac.orig	Sat Feb 16 16:13:31 2008
X+++ configure.ac	Sat Feb 16 16:14:48 2008
X@@ -95,6 +95,7 @@
X # For AFF tools
X AC_CHECK_HEADERS([readline/readline.h])
X AC_CHECK_LIB([readline],[readline],, AC_MSG_RESULT([readline not installed]))
X+AC_CHECK_LIB([iconv],[iconv],, AC_MSG_RESULT([iconv not installed]))
X AC_CHECK_HEADERS([curses.h termcap.h])
X AC_CHECK_LIB([ncurses],[initscr],, AC_MSG_RESULT([ncurses not installed; aimage will not have a GUI]))
X AC_CHECK_FUNCS(tputs tgoto tgetstr tgetnum gotorc beep endwin setupterm printw)
END-of-afflib/files/patch-configure.ac
echo x - afflib/distinfo
sed 's/^X//' >afflib/distinfo << 'END-of-afflib/distinfo'
XMD5 (afflib-3.0.6.tar.gz) = 7e01c22456dc8f81b2091cc2173b0538
XSHA256 (afflib-3.0.6.tar.gz) = 71fe7fb4391a0e470556d4ce8832b07ae6b632ef3cc1b160f5909a3c231430d2
XSIZE (afflib-3.0.6.tar.gz) = 1630704
END-of-afflib/distinfo
echo x - afflib/pkg-descr
sed 's/^X//' >afflib/pkg-descr << 'END-of-afflib/pkg-descr'
XThe Advanced Forensics Format is an open and extensible file format designed
Xto store disk images and associated metadata.
X
XWWW: http://www.afflib.org
END-of-afflib/pkg-descr
echo c - afflib/scripts
mkdir -p afflib/scripts > /dev/null 2>&1
echo x - afflib/scripts/pre-configure
sed 's/^X//' >afflib/scripts/pre-configure << 'END-of-afflib/scripts/pre-configure'
X#!/bin/sh
X#
X# 	$Revision: 1 $
X# 	$Date: 2008-02-16 21:13:16 +0000 (Sat, 16 Feb 2008) $
X# 	$Author: chris $
X#
X
Xcd $WRKSRC
Xautoconf
Xautoheader
END-of-afflib/scripts/pre-configure
echo x - afflib/pkg-plist
sed 's/^X//' >afflib/pkg-plist << 'END-of-afflib/pkg-plist'
Xbin/afcat
Xbin/afcompare
Xbin/afconvert
Xbin/afcopy
Xbin/afcrypto
Xbin/affix
Xbin/affuse
Xbin/afinfo
Xbin/afrecover
Xbin/afsegment
Xbin/afsign
Xbin/afstats
Xbin/aftest
Xbin/afverify
Xbin/afxml
Xbin/aimage
Xbin/s3
Xinclude/afflib/afflib.h
Xinclude/afflib/afflib_i.h
Xinclude/afflib/afflib_sha256.h
Xlib/libafflib.a
Xlib/libafflib.la
Xlib/libafflib.so
Xlib/libafflib.so.0
X@dirrm include/afflib
END-of-afflib/pkg-plist
echo x - afflib/Makefile
sed 's/^X//' >afflib/Makefile << 'END-of-afflib/Makefile'
X#
X# $Revision: 1 $
X# $Date: 2008-02-16 21:13:16 +0000 (Sat, 16 Feb 2008) $
X# $Author: chris $
X#
X# $FreeBSD$
X#
X# Ports collection makefile for: afflib
X#
X# Date created: 15/02/2008
X# Whom: Chris Calvey <chris@securityforensics.co.uk>
X#
X# Port makefile for afflib
X#
X
XPORTNAME= afflib
XPORTVERSION= 3.0.6
XCATEGORIES= sysutils
XMASTER_SITES= http://www.afflib.org/downloads/
X
XMAINTAINER= chris@securityforensics.co.uk
XCOMMENT= The Advanced Forensics Format library and utilities
X
XBUILD_DEPENDS=	autoconf:${PORTSDIR}/devel/autoconf261
X
XLIB_DEPENDS= 	fuse:${PORTSDIR}/sysutils/fusefs-libs \
X		crypto:${PORTSDIR}/security/openssl \
X		ssl:${PORTSDIR}/security/openssl \
X		expat:${PORTSDIR}/textproc/expat2
X
XUSE_ICONV = yes
XUSE_GMAKE= yes
XGNU_CONFIGURE= yes
XCONFIGURE_ENV=	CPPFLAGS='-DFUSE_USE_VERSION=26' \
X		LDFLAGS='${PTHREAD_LIBS}'
X
X.include <bsd.port.mk>
END-of-afflib/Makefile
exit
Comment 1 Martin Wilke freebsd_committer 2008-02-17 20:07:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2008-03-26 15:18:02 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 3 dfilter service freebsd_committer 2008-03-26 15:18:33 UTC
miwi        2008-03-26 15:18:09 UTC

  FreeBSD ports repository

  Modified files:
    sysutils             Makefile 
  Added files:
    sysutils/afflib      Makefile distinfo pkg-descr pkg-plist 
    sysutils/afflib/files patch-configure.ac 
  Log:
  The Advanced Forensics Format is an open and extensible file formatdesigned
  to store disk images and associated metadata.
  
  WWW: http://www.afflib.org
  
  PR:             ports/120769
  Submitted by:   Chris Calvey <chris at securityforensics.co.uk>
  
  Revision  Changes    Path
  1.993     +1 -0      ports/sysutils/Makefile
  1.1       +29 -0     ports/sysutils/afflib/Makefile (new)
  1.1       +3 -0      ports/sysutils/afflib/distinfo (new)
  1.1       +10 -0     ports/sysutils/afflib/files/patch-configure.ac (new)
  1.1       +4 -0      ports/sysutils/afflib/pkg-descr (new)
  1.1       +25 -0     ports/sysutils/afflib/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"